let csvFile = "https://gist.githubusercontent.com/maheganesh/1ebe00a71ecbcf68e80c3fe2a6949146/raw/74588422d6f374898254ab2a6018d2a31a662b66/%2522C:%255CUsers%255CMahee%2520Ganesh%255CDownloads%255CODI%2520data.csv%2522"; 
let request = new XMLHttpRequest();

request.open("GET", csvFile, true);

request.onreadystatechange = function () {
	if (request.readyState === 4 && request.status === 200) {
		let csvData = request.responseText;
		let csvArray = csvData.split("\n");
		let rowCount = csvArray.length;
		let columnCount = csvArray[0].split(",").length;

		document.getElementsByTagName("p")[0].innerHTML += formatBytes(request.getResponseHeader('Content-Length'));
		document.getElementsByTagName("p")[1].innerHTML += rowCount - 1;
		document.getElementsByTagName("p")[2].innerHTML += columnCount;
	}
};

request.send(null);

function formatBytes(bytes, decimals = 2) {
    if (bytes === 0) return '0 Bytes';
    const k = 1024;
    const dm = decimals < 0 ? 0 : decimals;
    const sizes = ['Bytes', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
    const i = Math.floor(Math.log(bytes) / Math.log(k));
    return parseFloat((bytes / Math.pow(k, i)).toFixed(dm)) + ' ' + sizes[i];
}
